summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorjwhendy2019-11-21 14:17:08 -0600
committerOskar Roesler2019-11-22 20:05:30 +0100
commit321e579d9cbdcc0701684511748c4993a861a8d8 (patch)
tree17647e572b5ab4bb4eac8975f82c78e04afea764
parent94adc9aa9c700e30defb28cb5c61b676a592eaab (diff)
downloadaur-321e579d9cbdcc0701684511748c4993a861a8d8.tar.gz
Add patch to handle python3.8 issue
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD14
-rw-r--r--python38.patch17
3 files changed, 31 insertions, 4 deletions
diff --git a/.SRCINFO b/.SRCINFO
index e6449a0cc8c..a6f36179c05 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = ros-melodic-rosgraph
pkgdesc = ROS - rosgraph contains the rosgraph command-line tool, which prints information about the ROS Computation Graph.
pkgver = 1.14.3
- pkgrel = 1
+ pkgrel = 2
url = https://wiki.ros.org/rosgraph
arch = any
license = BSD
@@ -12,7 +12,9 @@ pkgbase = ros-melodic-rosgraph
depends = python-netifaces
depends = python-rospkg
source = ros-melodic-rosgraph-1.14.3.tar.gz::https://github.com/ros/ros_comm/archive/1.14.3.tar.gz
+ source = python38.patch
sha256sums = 3e49bef96b8a0f9684e5c4f1736d171e9c8842a3979d5d3c6442b53698e8167f
+ sha256sums = 57d5c7ad1638ba2bd4056a0be8ce15e681a77984b54c04a84799ef51c37e46c2
pkgname = ros-melodic-rosgraph
diff --git a/PKGBUILD b/PKGBUILD
index 78bc44b0645..d35b06487a3 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -6,7 +6,7 @@ url='https://wiki.ros.org/rosgraph'
pkgname='ros-melodic-rosgraph'
pkgver='1.14.3'
arch=('any')
-pkgrel=1
+pkgrel=2
license=('BSD')
ros_makedepends=(
@@ -30,8 +30,16 @@ depends=(
)
_dir="ros_comm-${pkgver}/tools/rosgraph"
-source=("${pkgname}-${pkgver}.tar.gz"::"https://github.com/ros/ros_comm/archive/${pkgver}.tar.gz")
-sha256sums=('3e49bef96b8a0f9684e5c4f1736d171e9c8842a3979d5d3c6442b53698e8167f')
+source=("${pkgname}-${pkgver}.tar.gz"::"https://github.com/ros/ros_comm/archive/${pkgver}.tar.gz"
+ "python38.patch")
+sha256sums=('3e49bef96b8a0f9684e5c4f1736d171e9c8842a3979d5d3c6442b53698e8167f'
+ '57d5c7ad1638ba2bd4056a0be8ce15e681a77984b54c04a84799ef51c37e46c2')
+
+prepare() {
+ cd "${srcdir}/${_dir}"
+ patch -uN src/rosgraph/roslogging.py ../../../python38.patch || return 1
+}
+
build() {
# Use ROS environment variables.
diff --git a/python38.patch b/python38.patch
new file mode 100644
index 00000000000..932af17380f
--- /dev/null
+++ b/python38.patch
@@ -0,0 +1,17 @@
+--- a/tools/rosgraph/src/rosgraph/roslogging.py
++++ b/tools/rosgraph/src/rosgraph/roslogging.py
+@@ -49,12 +49,12 @@ from rospkg.environment import ROS_LOG_DIR
+ class LoggingException(Exception): pass
+
+ class RospyLogger(logging.getLoggerClass()):
+- def findCaller(self, dummy=False): # Dummy second arg to match Python3 function declaration
++ def findCaller(self, *args, **kwargs):
+ """
+ Find the stack frame of the caller so that we can note the source
+ file name, line number, and function name with class name if possible.
+ """
+- file_name, lineno, func_name = super(RospyLogger, self).findCaller()[:3]
++ file_name, lineno, func_name = super(RospyLogger, self).findCaller(*args, **kwargs)[:3]
+
+ f = inspect.currentframe()
+ if f is not None: